>From 8ee7d79b765f420680c153f47039e30ec1862bea Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Fri, 4 Nov 2016 19:18:15 +0100
Subject: [PATCH] Moved policy framework classes to org.dogtagpki.legacy.

To discourage the use of policy framework, the framework classes
have been moved into org.dogtagpki.legacy.

https://fedorahosted.org/pki/ticket/6
---
 .../src/com/netscape/ca/CertificateAuthority.java  |  3 ++-
 .../dogtagpki/legacy}/ca/CAPolicy.java             |  7 ++++---
 base/common/src/com/netscape/certsrv/apps/CMS.java |  8 ++++----
 .../src/com/netscape/certsrv/apps/ICMSEngine.java  |  8 ++++----
 .../netscape/certsrv/ca/ICertificateAuthority.java |  2 +-
 .../certsrv/kra/IKeyRecoveryAuthority.java         |  2 +-
 .../certsrv/ra/IRegistrationAuthority.java         |  3 ++-
 .../dogtagpki/legacy}/policy/EPolicyException.java |  2 +-
 .../legacy}/policy/IEnrollmentPolicy.java          |  2 +-
 .../dogtagpki/legacy}/policy/IExpression.java      |  2 +-
 .../policy/IGeneralNameAsConstraintsConfig.java    |  2 +-
 .../legacy}/policy/IGeneralNameConfig.java         |  2 +-
 .../dogtagpki/legacy}/policy/IGeneralNameUtil.java |  2 +-
 .../policy/IGeneralNamesAsConstraintsConfig.java   |  2 +-
 .../legacy}/policy/IGeneralNamesConfig.java        |  2 +-
 .../legacy}/policy/IKeyArchivalPolicy.java         |  2 +-
 .../legacy}/policy/IKeyRecoveryPolicy.java         |  2 +-
 .../legacy}/policy/IPolicyPredicateParser.java     |  2 +-
 .../dogtagpki/legacy}/policy/IPolicyProcessor.java |  2 +-
 .../dogtagpki/legacy}/policy/IPolicyRule.java      |  2 +-
 .../dogtagpki/legacy}/policy/IPolicySet.java       |  2 +-
 .../dogtagpki/legacy}/policy/IRenewalPolicy.java   |  2 +-
 .../legacy}/policy/IRevocationPolicy.java          |  2 +-
 .../legacy}/policy/ISubjAltNameConfig.java         |  2 +-
 .../src/com/netscape/kra/KeyRecoveryAuthority.java |  3 ++-
 .../dogtagpki/legacy}/kra/KRAPolicy.java           |  7 ++++---
 .../cms/servlet/admin/PolicyAdminServlet.java      |  5 +++--
 .../netscape/cms/servlet/cert/EnrollServlet.java   |  3 ++-
 .../legacy/server}/policy/APolicyRule.java         |  9 +++++----
 .../server}/policy/constraints/AgentPolicy.java    |  9 +++++----
 .../constraints/AttributePresentConstraints.java   |  7 ++++---
 .../policy/constraints/DSAKeyConstraints.java      |  9 +++++----
 .../policy/constraints/DefaultRevocation.java      |  9 +++++----
 .../policy/constraints/IssuerConstraints.java      |  9 +++++----
 .../constraints/KeyAlgorithmConstraints.java       |  9 +++++----
 .../policy/constraints/ManualAuthentication.java   |  9 +++++----
 .../policy/constraints/RSAKeyConstraints.java      |  9 +++++----
 .../policy/constraints/RenewalConstraints.java     |  9 +++++----
 .../constraints/RenewalValidityConstraints.java    |  9 +++++----
 .../policy/constraints/RevocationConstraints.java  |  9 +++++----
 .../constraints/SigningAlgorithmConstraints.java   | 11 ++++++-----
 .../policy/constraints/SubCANameConstraints.java   |  9 +++++----
 .../policy/constraints/UniqueSubjectName.java      |  2 +-
 .../constraints/UniqueSubjectNameConstraints.java  |  9 +++++----
 .../policy/constraints/ValidityConstraints.java    |  9 +++++----
 .../policy/extensions/AuthInfoAccessExt.java       |  9 +++++----
 .../extensions/AuthorityKeyIdentifierExt.java      |  9 +++++----
 .../policy/extensions/BasicConstraintsExt.java     | 11 ++++++-----
 .../extensions/CRLDistributionPointsExt.java       |  7 ++++---
 .../policy/extensions/CertificatePoliciesExt.java  |  9 +++++----
 .../extensions/CertificateRenewalWindowExt.java    |  7 ++++---
 .../extensions/CertificateScopeOfUseExt.java       |  9 +++++----
 .../policy/extensions/ExtendedKeyUsageExt.java     |  7 ++++---
 .../server}/policy/extensions/GenericASN1Ext.java  |  7 ++++---
 .../policy/extensions/IssuerAltNameExt.java        | 11 ++++++-----
 .../server}/policy/extensions/KeyUsageExt.java     |  9 +++++----
 .../server}/policy/extensions/NSCCommentExt.java   |  9 +++++----
 .../server}/policy/extensions/NSCertTypeExt.java   |  9 +++++----
 .../policy/extensions/NameConstraintsExt.java      | 11 ++++++-----
 .../server}/policy/extensions/OCSPNoCheckExt.java  |  7 ++++---
 .../policy/extensions/PolicyConstraintsExt.java    |  9 +++++----
 .../policy/extensions/PolicyMappingsExt.java       |  9 +++++----
 .../server}/policy/extensions/PresenceExt.java     |  5 +++--
 .../extensions/PrivateKeyUsagePeriodExt.java       |  9 +++++----
 .../extensions/RemoveBasicConstraintsExt.java      |  7 ++++---
 .../server}/policy/extensions/SubjAltNameExt.java  |  7 ++++---
 .../policy/extensions/SubjectAltNameExt.java       | 13 ++++++------
 .../extensions/SubjectDirectoryAttributesExt.java  |  7 ++++---
 .../policy/extensions/SubjectKeyIdentifierExt.java | 11 ++++++-----
 .../src/com/netscape/cmscore/apps/CMSEngine.java   | 10 +++++-----
 .../legacy/core}/policy/AndExpression.java         |  7 ++++---
 .../legacy/core}/policy/GeneralNameUtil.java       | 15 +++++++-------
 .../core}/policy/GenericPolicyProcessor.java       | 23 +++++++++++-----------
 .../core}/policy/JavaScriptRequestProxy.java       |  5 +++--
 .../legacy/core}/policy/OrExpression.java          |  7 ++++---
 .../legacy/core}/policy/PolicyPredicateParser.java |  7 ++++---
 .../dogtagpki/legacy/core}/policy/PolicySet.java   |  9 +++++----
 .../legacy/core}/policy/SimpleExpression.java      |  7 ++++---
 .../netscape/cmscore/app/CMSEngineDefaultStub.java |  8 ++++----
 79 files changed, 296 insertions(+), 241 deletions(-)
 rename base/ca/src/{com/netscape => org/dogtagpki/legacy}/ca/CAPolicy.java (96%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/EPolicyException.java (99%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IEnrollmentPolicy.java (96%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IExpression.java (98%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IGeneralNameAsConstraintsConfig.java (97%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IGeneralNameConfig.java (98%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IGeneralNameUtil.java (98%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IGeneralNamesAsConstraintsConfig.java (97%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IGeneralNamesConfig.java (97%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IKeyArchivalPolicy.java (96%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IKeyRecoveryPolicy.java (96%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IPolicyPredicateParser.java (97%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IPolicyProcessor.java (99%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IPolicyRule.java (98%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IPolicySet.java (98%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IRenewalPolicy.java (96%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/IRevocationPolicy.java (96%)
 rename base/common/src/{com/netscape/certsrv => org/dogtagpki/legacy}/policy/ISubjAltNameConfig.java (97%)
 rename base/kra/src/{com/netscape => org/dogtagpki/legacy}/kra/KRAPolicy.java (94%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/APolicyRule.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/AgentPolicy.java (96%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/AttributePresentConstraints.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/DSAKeyConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/DefaultRevocation.java (93%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/IssuerConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/KeyAlgorithmConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/ManualAuthentication.java (93%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/RSAKeyConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/RenewalConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/RenewalValidityConstraints.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/RevocationConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/SigningAlgorithmConstraints.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/SubCANameConstraints.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/UniqueSubjectName.java (95%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/UniqueSubjectNameConstraints.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/constraints/ValidityConstraints.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/AuthInfoAccessExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/AuthorityKeyIdentifierExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/BasicConstraintsExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/CRLDistributionPointsExt.java (99%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/CertificatePoliciesExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/CertificateRenewalWindowExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/CertificateScopeOfUseExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/ExtendedKeyUsageExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/GenericASN1Ext.java (99%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/IssuerAltNameExt.java (96%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/KeyUsageExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/NSCCommentExt.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/NSCertTypeExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/NameConstraintsExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/OCSPNoCheckExt.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/PolicyConstraintsExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/PolicyMappingsExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/PresenceExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/PrivateKeyUsagePeriodExt.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/RemoveBasicConstraintsExt.java (96%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/SubjAltNameExt.java (98%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/SubjectAltNameExt.java (97%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/SubjectDirectoryAttributesExt.java (99%)
 rename base/server/cms/src/{com/netscape/cms => org/dogtagpki/legacy/server}/policy/extensions/SubjectKeyIdentifierExt.java (98%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/AndExpression.java (92%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/GeneralNameUtil.java (98%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/GenericPolicyProcessor.java (99%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/JavaScriptRequestProxy.java (93%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/OrExpression.java (93%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/PolicyPredicateParser.java (98%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/PolicySet.java (98%)
 rename base/server/cmscore/src/{com/netscape/cmscore => org/dogtagpki/legacy/core}/policy/SimpleExpression.java (98%)

diff --git a/base/ca/src/com/netscape/ca/CertificateAuthority.java b/base/ca/src/com/netscape/ca/CertificateAuthority.java
index 6a1f9b67988f44fc0ac6857e19533838d26e73cc..92bf64412c0edcf5540830438e6c356dbb4811bc 100644
--- a/base/ca/src/com/netscape/ca/CertificateAuthority.java
+++ b/base/ca/src/com/netscape/ca/CertificateAuthority.java
@@ -52,6 +52,8 @@ import java.util.concurrent.CountDownLatch;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpSession;
 
+import org.dogtagpki.legacy.ca.CAPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
 import org.mozilla.jss.CryptoManager;
 import org.mozilla.jss.asn1.ASN1Util;
 import org.mozilla.jss.asn1.GeneralizedTime;
@@ -104,7 +106,6 @@ import com.netscape.certsrv.ldap.ELdapException;
 import com.netscape.certsrv.ldap.ILdapConnFactory;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ocsp.IOCSPService;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.profile.IEnrollProfile;
 import com.netscape.certsrv.profile.IProfile;
 import com.netscape.certsrv.profile.IProfileSubsystem;
diff --git a/base/ca/src/com/netscape/ca/CAPolicy.java b/base/ca/src/org/dogtagpki/legacy/ca/CAPolicy.java
similarity index 96%
rename from base/ca/src/com/netscape/ca/CAPolicy.java
rename to base/ca/src/org/dogtagpki/legacy/ca/CAPolicy.java
index dda7e52d514276e2d7476382775cfd82461dea60..75c2945882c7ce9c2fceb7228d848a7432ace7ae 100644
--- a/base/ca/src/com/netscape/ca/CAPolicy.java
+++ b/base/ca/src/org/dogtagpki/legacy/ca/CAPolicy.java
@@ -15,20 +15,21 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.ca;
+package org.dogtagpki.legacy.ca;
+
+import org.dogtagpki.legacy.core.policy.GenericPolicyProcessor;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.profile.IProfile;
 import com.netscape.certsrv.profile.IProfileSubsystem;
 import com.netscape.certsrv.request.IPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cmscore.policy.GenericPolicyProcessor;
 import com.netscape.cmscore.util.Debug;
 
 /**
diff --git a/base/common/src/com/netscape/certsrv/apps/CMS.java b/base/common/src/com/netscape/certsrv/apps/CMS.java
index bc82a986089e932604f860f067b46593bc17ab2c..2e1dcbd22156bfc93107c3b2ead2eb2ab05ded4c 100644
--- a/base/common/src/com/netscape/certsrv/apps/CMS.java
+++ b/base/common/src/com/netscape/certsrv/apps/CMS.java
@@ -29,6 +29,10 @@ import java.util.Hashtable;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IGeneralNameAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesConfig;
+import org.dogtagpki.legacy.policy.ISubjAltNameConfig;
 import org.mozilla.jss.CryptoManager.CertificateUsage;
 import org.mozilla.jss.util.PasswordCallback;
 
@@ -73,10 +77,6 @@ import com.netscape.certsrv.notification.IEmailTemplate;
 import com.netscape.certsrv.notification.IMailNotification;
 import com.netscape.certsrv.ocsp.IOCSPAuthority;
 import com.netscape.certsrv.password.IPasswordCheck;
-import com.netscape.certsrv.policy.IGeneralNameAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesConfig;
-import com.netscape.certsrv.policy.ISubjAltNameConfig;
 import com.netscape.certsrv.profile.IProfileSubsystem;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.registry.IPluginRegistry;
diff --git a/base/common/src/com/netscape/certsrv/apps/ICMSEngine.java b/base/common/src/com/netscape/certsrv/apps/ICMSEngine.java
index f781c41301360692431969987cb754ba7a6ce5f4..82a9117c41e2919038301883575158e9efe8ab5d 100644
--- a/base/common/src/com/netscape/certsrv/apps/ICMSEngine.java
+++ b/base/common/src/com/netscape/certsrv/apps/ICMSEngine.java
@@ -29,6 +29,10 @@ import java.util.Hashtable;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IGeneralNameAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesConfig;
+import org.dogtagpki.legacy.policy.ISubjAltNameConfig;
 import org.mozilla.jss.CryptoManager.CertificateUsage;
 import org.mozilla.jss.util.PasswordCallback;
 
@@ -64,10 +68,6 @@ import com.netscape.certsrv.notification.IEmailResolverKeys;
 import com.netscape.certsrv.notification.IEmailTemplate;
 import com.netscape.certsrv.notification.IMailNotification;
 import com.netscape.certsrv.password.IPasswordCheck;
-import com.netscape.certsrv.policy.IGeneralNameAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesConfig;
-import com.netscape.certsrv.policy.ISubjAltNameConfig;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cmsutil.net.ISocketFactory;
 import com.netscape.cmsutil.password.IPasswordStore;
diff --git a/base/common/src/com/netscape/certsrv/ca/ICertificateAuthority.java b/base/common/src/com/netscape/certsrv/ca/ICertificateAuthority.java
index 3389d1da90fccd67216cf36b4863f2fb7768416c..8ddc601e565f0b3ca901266cfe10928b3f9e4438 100644
--- a/base/common/src/com/netscape/certsrv/ca/ICertificateAuthority.java
+++ b/base/common/src/com/netscape/certsrv/ca/ICertificateAuthority.java
@@ -23,6 +23,7 @@ import java.util.Map;
 
 import javax.servlet.http.HttpServletRequest;
 
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
 import org.mozilla.jss.crypto.SignatureAlgorithm;
 
 import com.netscape.certsrv.authentication.IAuthToken;
@@ -33,7 +34,6 @@ import com.netscape.certsrv.dbs.IDBSubsystem;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.dbs.crldb.ICRLRepository;
 import com.netscape.certsrv.dbs.replicadb.IReplicaIDRepository;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.publish.IPublisherProcessor;
 import com.netscape.certsrv.request.IRequestListener;
 import com.netscape.certsrv.request.IRequestNotifier;
diff --git a/base/common/src/com/netscape/certsrv/kra/IKeyRecoveryAuthority.java b/base/common/src/com/netscape/certsrv/kra/IKeyRecoveryAuthority.java
index 1074e47359b2d3c999d383ffa8a910cde41a5483..72af053d8f04c162c62bc23a14a928d60b5e7247 100644
--- a/base/common/src/com/netscape/certsrv/kra/IKeyRecoveryAuthority.java
+++ b/base/common/src/com/netscape/certsrv/kra/IKeyRecoveryAuthority.java
@@ -21,13 +21,13 @@ import java.util.Enumeration;
 import java.util.Hashtable;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
 import org.mozilla.jss.crypto.CryptoToken;
 
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.dbs.replicadb.IReplicaIDRepository;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequestListener;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.certsrv.request.RequestId;
diff --git a/base/common/src/com/netscape/certsrv/ra/IRegistrationAuthority.java b/base/common/src/com/netscape/certsrv/ra/IRegistrationAuthority.java
index 0be193d879c843c1e89ddec7ee6266366ea83778..ee24a6ecc8a759beb489d51fff5ee7581c60e3ab 100644
--- a/base/common/src/com/netscape/certsrv/ra/IRegistrationAuthority.java
+++ b/base/common/src/com/netscape/certsrv/ra/IRegistrationAuthority.java
@@ -19,9 +19,10 @@ package com.netscape.certsrv.ra;
 
 import java.util.Enumeration;
 
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.publish.IPublisherProcessor;
 import com.netscape.certsrv.request.IRequestListener;
 import com.netscape.certsrv.request.IRequestQueue;
diff --git a/base/common/src/com/netscape/certsrv/policy/EPolicyException.java b/base/common/src/org/dogtagpki/legacy/policy/EPolicyException.java
similarity index 99%
rename from base/common/src/com/netscape/certsrv/policy/EPolicyException.java
rename to base/common/src/org/dogtagpki/legacy/policy/EPolicyException.java
index 1026bfb6a7c4e7b21835dea6798c6d2536b42a99..c6f18da9959bbc3f4564a051f41a6e6fe2dee128 100644
--- a/base/common/src/com/netscape/certsrv/policy/EPolicyException.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/EPolicyException.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Locale;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IEnrollmentPolicy.java b/base/common/src/org/dogtagpki/legacy/policy/IEnrollmentPolicy.java
similarity index 96%
rename from base/common/src/com/netscape/certsrv/policy/IEnrollmentPolicy.java
rename to base/common/src/org/dogtagpki/legacy/policy/IEnrollmentPolicy.java
index ce746a6f9fb3c211582934df330ac9789bb213fd..0e39d43d28dd2d686c09b2b3d63f3e6f6ecff203 100644
--- a/base/common/src/com/netscape/certsrv/policy/IEnrollmentPolicy.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IEnrollmentPolicy.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Interface for an enrollment policy rule. This provides general
diff --git a/base/common/src/com/netscape/certsrv/policy/IExpression.java b/base/common/src/org/dogtagpki/legacy/policy/IExpression.java
similarity index 98%
rename from base/common/src/com/netscape/certsrv/policy/IExpression.java
rename to base/common/src/org/dogtagpki/legacy/policy/IExpression.java
index b6640b37d1d5f52122f5b17c5c17fd60f9186aa4..b871440c8860b785522259daec7b8bb06294ab02 100644
--- a/base/common/src/com/netscape/certsrv/policy/IExpression.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IExpression.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import com.netscape.certsrv.request.IRequest;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IGeneralNameAsConstraintsConfig.java b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNameAsConstraintsConfig.java
similarity index 97%
rename from base/common/src/com/netscape/certsrv/policy/IGeneralNameAsConstraintsConfig.java
rename to base/common/src/org/dogtagpki/legacy/policy/IGeneralNameAsConstraintsConfig.java
index 330e935f63830664e503c49e39f924946844e81c..d04cb4ba048f105e09e4838b60d8082580459c71 100644
--- a/base/common/src/com/netscape/certsrv/policy/IGeneralNameAsConstraintsConfig.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNameAsConstraintsConfig.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Vector;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IGeneralNameConfig.java b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNameConfig.java
similarity index 98%
rename from base/common/src/com/netscape/certsrv/policy/IGeneralNameConfig.java
rename to base/common/src/org/dogtagpki/legacy/policy/IGeneralNameConfig.java
index 1e5d0e6b518b646b7fe416bc5b73a2a603f59487..462350e8444e3ecab979ce88e00475fb2cfb2f97 100644
--- a/base/common/src/com/netscape/certsrv/policy/IGeneralNameConfig.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNameConfig.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Vector;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IGeneralNameUtil.java b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNameUtil.java
similarity index 98%
rename from base/common/src/com/netscape/certsrv/policy/IGeneralNameUtil.java
rename to base/common/src/org/dogtagpki/legacy/policy/IGeneralNameUtil.java
index 725c3e942e33bfb0378f29165a21f17aa8f5f7da..55a7d906ef1ab5f3eaa2001e8a9f80de9137879a 100644
--- a/base/common/src/com/netscape/certsrv/policy/IGeneralNameUtil.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNameUtil.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Class that can be used to form general names from configuration file.
diff --git a/base/common/src/com/netscape/certsrv/policy/IGeneralNamesAsConstraintsConfig.java b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNamesAsConstraintsConfig.java
similarity index 97%
rename from base/common/src/com/netscape/certsrv/policy/IGeneralNamesAsConstraintsConfig.java
rename to base/common/src/org/dogtagpki/legacy/policy/IGeneralNamesAsConstraintsConfig.java
index 698800645bc8582ccfed87ed8325ed395dc3ac70..bcb646ca82b1e7686df716c4585dbf3543dcf855 100644
--- a/base/common/src/com/netscape/certsrv/policy/IGeneralNamesAsConstraintsConfig.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNamesAsConstraintsConfig.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Vector;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IGeneralNamesConfig.java b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNamesConfig.java
similarity index 97%
rename from base/common/src/com/netscape/certsrv/policy/IGeneralNamesConfig.java
rename to base/common/src/org/dogtagpki/legacy/policy/IGeneralNamesConfig.java
index 77ea0350ed6ca6682dfac5e333ac261d1d8f387a..f749ca70608f8ad868ddaa55efc3516f10fbb500 100644
--- a/base/common/src/com/netscape/certsrv/policy/IGeneralNamesConfig.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IGeneralNamesConfig.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Vector;
 
diff --git a/base/common/src/com/netscape/certsrv/policy/IKeyArchivalPolicy.java b/base/common/src/org/dogtagpki/legacy/policy/IKeyArchivalPolicy.java
similarity index 96%
rename from base/common/src/com/netscape/certsrv/policy/IKeyArchivalPolicy.java
rename to base/common/src/org/dogtagpki/legacy/policy/IKeyArchivalPolicy.java
index bdd6efdc00c3083453a8847fdca5f41bb5895ea2..80029a0a8697cc0a63102d1e050cc70c28a6c002 100644
--- a/base/common/src/com/netscape/certsrv/policy/IKeyArchivalPolicy.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IKeyArchivalPolicy.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Interface for a key recovery policy rule.
diff --git a/base/common/src/com/netscape/certsrv/policy/IKeyRecoveryPolicy.java b/base/common/src/org/dogtagpki/legacy/policy/IKeyRecoveryPolicy.java
similarity index 96%
rename from base/common/src/com/netscape/certsrv/policy/IKeyRecoveryPolicy.java
rename to base/common/src/org/dogtagpki/legacy/policy/IKeyRecoveryPolicy.java
index 62989472c4723c2e1086eb5d0d09169e7f328063..6bf068fcbd0d4523d40e45187c032f5e7bd68968 100644
--- a/base/common/src/com/netscape/certsrv/policy/IKeyRecoveryPolicy.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IKeyRecoveryPolicy.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Interface for a key recovery policy rule.
diff --git a/base/common/src/com/netscape/certsrv/policy/IPolicyPredicateParser.java b/base/common/src/org/dogtagpki/legacy/policy/IPolicyPredicateParser.java
similarity index 97%
rename from base/common/src/com/netscape/certsrv/policy/IPolicyPredicateParser.java
rename to base/common/src/org/dogtagpki/legacy/policy/IPolicyPredicateParser.java
index f262be0cd106ba597d5fea8917170012463558d1..d6560691f1e0d35f4512b9a1f6b7926339b10b92 100644
--- a/base/common/src/com/netscape/certsrv/policy/IPolicyPredicateParser.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IPolicyPredicateParser.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 /**
  * Interface for policy predicate parsers.
diff --git a/base/common/src/com/netscape/certsrv/policy/IPolicyProcessor.java b/base/common/src/org/dogtagpki/legacy/policy/IPolicyProcessor.java
similarity index 99%
rename from base/common/src/com/netscape/certsrv/policy/IPolicyProcessor.java
rename to base/common/src/org/dogtagpki/legacy/policy/IPolicyProcessor.java
index d2e70e9025f5484981accf2e7cf2556e0bdab9fb..02ed2ed0a54df9ae7e2ad1e6cc1f9cb2ebe258e6 100644
--- a/base/common/src/com/netscape/certsrv/policy/IPolicyProcessor.java
+++ b/base/common/src/org/dogtagpki/legacy/policy/IPolicyProcessor.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.certsrv.policy;
+package org.dogtagpki.legacy.policy;
 
 import java.util.Enumeration;
 import java.util.Hashtable;
